<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div>red</div>
    <div>blue</div>
    <div>red</div>
    <div>white</div>
    <div>red</div>
    <div>green</div>
    <div>orange</div>
    <div>red</div>
    <div>nada</div>
    <div>red</div>
    <div>blue</div>
    <button id="boton">dale</button>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $("#boton").click(function(){                
                $("div").each(function(){
                    if($(this).text()=="nada"){
                    return false;
                    }else{
                    $(this).css("background-color",$(this).text());
                    }          
                    
                });

            });
        });

    </script>
    
</body>
</html>